Package org.eclipse.mat.query.annotations

# Annotation Type CommandName

@Target(TYPE) @Retention(RUNTIME) public @interface CommandName
(Optionally) annotates the command name of the query. If not provided, the name of the query is changed to lower case letters and spaces are replaced by underscore. This name is used in the Query Browser command line, as the command name in the tab of a query and in `SnapshotQuery.lookup(java.lang.String, org.eclipse.mat.snapshot.ISnapshot)`.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value